ne peut pas installer html-agility-pack lors de l'installation de Newtonsoft.Json

html-agility-pack json json.net

Question

Je veux savoir pourquoi je ne peux pas installer votre paquet avec Newtonsoft.Json et obtenir cette erreur:

Severity    Code    Description Project File    Line    Suppression State
Error       An error occurred while retrieving package metadata for 'Newtonsoft.Json.10.0.3' from source 'C:\Users\......\packages'.            0   

J'essaie d'utiliser les deux en .net 4 Et j'essaie de les installer à partir du paquet Nuget

de toute façon pour l'installation, je peux utiliser l'option d' ignore dependence dans le package manager > install and update option > dependence behavior mais parfois, lorsque l'application est en cours d'exécution et que j'ai l'erreur

Toute solution ?

2017-08-20_20h42_24

Réponse populaire

Supprimez le dossier Newtonsoft.Json.10.0.3 de c: \ .... \ packages et supprimez sa ligne de packages.config, puis supprimez-le de nouveau de la référence du projet et installez la version inférieure.




Sous licence: CC-BY-SA with attribution
Non affilié à Stack Overflow
Est-ce KB légal? Oui, apprenez pourquoi
Sous licence: CC-BY-SA with attribution
Non affilié à Stack Overflow
Est-ce KB légal? Oui, apprenez pourquoi